cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/auditlogevents?starting_from=SOME_STRING_VALUE&sort_order=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"entries": [
{
"action": "AUDIT_LOG_ACTION_CREATE_CLUSTER",
"cluster_id": "<string>",
"cluster_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"id": "<string>",
"metadata": {
"ip_address": "<string>"
},
"payload": "<string>",
"service_account_name": "<string>",
"session_id": "<string>",
"source": "AUDIT_LOG_SOURCE_CC_API",
"system_actor_name": "SYSTEM_ACTOR_NAME_SYSTEM",
"trace_id": "<string>",
"user_email": "<string>"
}
],
"next_starting_from": "2023-11-07T05:31:56Z"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List audit logs
Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
- AUDITOR
GET
/
api
/
v1
/
auditlogevents
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/auditlogevents?starting_from=SOME_STRING_VALUE&sort_order=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"entries": [
{
"action": "AUDIT_LOG_ACTION_CREATE_CLUSTER",
"cluster_id": "<string>",
"cluster_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"id": "<string>",
"metadata": {
"ip_address": "<string>"
},
"payload": "<string>",
"service_account_name": "<string>",
"session_id": "<string>",
"source": "AUDIT_LOG_SOURCE_CC_API",
"system_actor_name": "SYSTEM_ACTOR_NAME_SYSTEM",
"trace_id": "<string>",
"user_email": "<string>"
}
],
"next_starting_from": "2023-11-07T05:31:56Z"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Query Parameters
starting_from is the (exclusive) timestamp from which log entries will be returned in the response based on their created_at time, respecting the sort order specified in pagination. If unset, the default will be the current time if results are returned in descending order and the beginning of time if results are in ascending order.
Response
A successful response.

